# PaymentProductResponseListener class final

Listener used when retrieving a PaymentProduct from the API.

## Constructors

PaymentProductResponseListener({required void onSuccess(PaymentProduct response), required void onError(ErrorResponse? apiError), required void onException(NativeException? exception)})

## Properties

error → void Function(ErrorResponse? apiError)
  final inherited
exception → void Function(NativeException? exception)
  final inherited
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
success → void Function(PaymentProduct response)
  final inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onApiError(ErrorResponse? apiError) → dynamic
  inherited
onException(NativeException? ex) → dynamic
  inherited
onSuccess(PaymentProduct response) → dynamic
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited